# std::ostreambuf_iterator::ostreambuf_iterator

From cppreference.com
< cpp‎ | iterator‎ | ostreambuf iterator

ostreambuf_iterator( streambuf_type* buffer ); | (1) |
ostreambuf_iterator( ostream_type& stream ); | (2) |

1) Constructs the iterator with the private streambuf_type* member set to `buffer` and the failed() bit set to false. The behavior is undefined if buffer is a null pointer.
2) Same as ostreambuf_iterator(stream.rdbuf())

### Parameters

stream | - | the output stream whose rdbuf() will be accessed by this iterator
buffer | - | the output stream buffer to be accessed by this iterator

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Example

Run this code

    #include <iostream>
    #include <fstream>
    #include <iterator>
    int main()
    {
        std::basic_filebuf<char> f;
        f.open("test.txt", std::ios::out);

        std::ostreambuf_iterator<char> out1(&f);

        std::ostreambuf_iterator<wchar_t> out2(std::wcout);

        *out1 = 'a';
        *out2 = L'a';
    }

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/ostreambuf_iterator/ostreambuf_iterator&oldid=91439"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template